-- MySQL Administrator dump 1.4
--
-- ------------------------------------------------------
-- Server version	5.1.50-community


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


--
-- Create schema etallerdb
--

CREATE DATABASE IF NOT EXISTS etallerdb;
USE etallerdb;

--
-- Definition of table `clients`
--

DROP TABLE IF EXISTS `clients`;
CREATE TABLE `clients` (
  `idClient` int(11) NOT NULL AUTO_INCREMENT,
  `nom` varchar(60) NOT NULL,
  `cognoms` varchar(60) NOT NULL,
  `domicili` varchar(128) NOT NULL,
  `poblacio` varchar(60) NOT NULL,
  `provincia` varchar(60) NOT NULL,
  `idPais` int(10) unsigned NOT NULL,
  `codiPostal` varchar(10) DEFAULT NULL,
  `telefonContacte1` varchar(20) DEFAULT NULL,
  `telefonContacte2` varchar(20) DEFAULT NULL,
  `telefonContacte3` varchar(20) DEFAULT NULL,
  `email` varchar(80) DEFAULT NULL,
  `idTipusDocument` int(11) NOT NULL,
  `numDocIdentificacio` varchar(30) NOT NULL,
  `dataAlta` date NOT NULL,
  `dataBaixa` date DEFAULT NULL,
  PRIMARY KEY (`idClient`),
  KEY `FK_CLIENT_PAIS` (`idPais`),
  KEY `FK_CLIENT_TIPUSDOCUMENT` (`idTipusDocument`),
  KEY `FK334B860830B338BA` (`idPais`),
  KEY `FK334B86084F2A135D` (`idTipusDocument`),
  CONSTRAINT `clients_ibfk_1` FOREIGN KEY (`idPais`) REFERENCES `paisos` (`idPais`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `clients_ibfk_2` FOREIGN KEY (`idTipusDocument`) REFERENCES `tipusdocuments` (`idTipusDocument`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK334B860830B338BA` FOREIGN KEY (`idPais`) REFERENCES `paisos` (`idPais`),
  CONSTRAINT `FK334B86084F2A135D` FOREIGN KEY (`idTipusDocument`) REFERENCES `tipusdocuments` (`idTipusDocument`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `clients`
--

/*!40000 ALTER TABLE `clients` DISABLE KEYS */;
INSERT INTO `clients` (`idClient`,`nom`,`cognoms`,`domicili`,`poblacio`,`provincia`,`idPais`,`codiPostal`,`telefonContacte1`,`telefonContacte2`,`telefonContacte3`,`email`,`idTipusDocument`,`numDocIdentificacio`,`dataAlta`,`dataBaixa`) VALUES 
 (10,'ATILA','REIDELS HUNS','C/ Cabanacremada 25, baixos','Picamoixons','Lleida',2,'25007','123654','789321','258741',NULL,2,'1234567X','2011-06-15',NULL),
 (11,'ANDREO','PIZZICATTO CORDI','C/ del violí 45, 3er.','Sant Joan del músic','Tarragona',2,'43000','963258','147258','369357',NULL,2,'9996544R','2011-06-15',NULL);
/*!40000 ALTER TABLE `clients` ENABLE KEYS */;


--
-- Definition of table `conceptes`
--

DROP TABLE IF EXISTS `conceptes`;
CREATE TABLE `conceptes` (
  `idConcepte` int(11) NOT NULL AUTO_INCREMENT,
  `descripcio` varchar(60) NOT NULL,
  `dataAlta` date NOT NULL,
  `dataBaixa` date DEFAULT NULL,
  PRIMARY KEY (`idConcepte`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `conceptes`
--

/*!40000 ALTER TABLE `conceptes` DISABLE KEYS */;
INSERT INTO `conceptes` (`idConcepte`,`descripcio`,`dataAlta`,`dataBaixa`) VALUES 
 (1,'MA D\'OBRA','2011-03-22',NULL),
 (2,'MATERIAL','2011-03-22',NULL),
 (3,'REPARACIO','2011-03-22',NULL);
/*!40000 ALTER TABLE `conceptes` ENABLE KEYS */;


--
-- Definition of table `config`
--

DROP TABLE IF EXISTS `config`;
CREATE TABLE `config` (
  `idconfig` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `numfacturaactual` int(10) unsigned NOT NULL,
  `percentatgeiva` float unsigned DEFAULT NULL,
  `nomtaller` varchar(50) DEFAULT NULL,
  `adrtaller` varchar(80) DEFAULT NULL,
  `poblaciotaller` varchar(60) DEFAULT NULL,
  `provinciataller` varchar(60) DEFAULT NULL,
  `codipostaltaller` varchar(10) DEFAULT NULL,
  `telefontaller` varchar(20) DEFAULT NULL,
  `faxtaller` varchar(20) DEFAULT NULL,
  `emailtaller` varchar(60) DEFAULT NULL,
  `webtaller` varchar(80) DEFAULT NULL,
  `niftaller` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`idconfig`),
  KEY `K_NUMFACTURAACTUAL` (`numfacturaactual`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `config`
--

/*!40000 ALTER TABLE `config` DISABLE KEYS */;
INSERT INTO `config` (`idconfig`,`numfacturaactual`,`percentatgeiva`,`nomtaller`,`adrtaller`,`poblaciotaller`,`provinciataller`,`codipostaltaller`,`telefontaller`,`faxtaller`,`emailtaller`,`webtaller`,`niftaller`) VALUES 
 (1,20110025,18,'TALLERS LOPEZ','Av. del peix 24','Barcelona','BARCELONA','08014','933334455','933334455','taller@taller.ad','www.taller.ad','12.345.678-X');
/*!40000 ALTER TABLE `config` ENABLE KEYS */;


--
-- Definition of table `factures`
--

DROP TABLE IF EXISTS `factures`;
CREATE TABLE `factures` (
  `idFactura` int(11) NOT NULL AUTO_INCREMENT,
  `numFactura` int(11) NOT NULL,
  `dataEmissio` date NOT NULL,
  `idClient` int(11) NOT NULL,
  `idVehicle` int(11) DEFAULT NULL,
  `iva` float NOT NULL,
  PRIMARY KEY (`idFactura`),
  UNIQUE KEY `PK_FACTURA_NUMFACTURA` (`numFactura`),
  KEY `FK_FACTURA_VEHICLE` (`idVehicle`),
  KEY `FK_FACTURA_CLIENT` (`idClient`),
  KEY `FK1E7DA877D0859CD4` (`idVehicle`),
  KEY `FK1E7DA877A59FA99A` (`idClient`),
  CONSTRAINT `factures_ibfk_1` FOREIGN KEY (`idClient`) REFERENCES `clients` (`idClient`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `factures_ibfk_2` FOREIGN KEY (`idVehicle`) REFERENCES `vehicles` (`idVehicle`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK1E7DA877A59FA99A` FOREIGN KEY (`idClient`) REFERENCES `clients` (`idClient`),
  CONSTRAINT `FK1E7DA877D0859CD4` FOREIGN KEY (`idVehicle`) REFERENCES `vehicles` (`idVehicle`)
) ENGINE=InnoDB AUTO_INCREMENT=78 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `factures`
--

/*!40000 ALTER TABLE `factures` DISABLE KEYS */;
INSERT INTO `factures` (`idFactura`,`numFactura`,`dataEmissio`,`idClient`,`idVehicle`,`iva`) VALUES 
 (75,20110023,'2011-06-15',11,24,18),
 (76,20110024,'2011-06-15',10,23,18),
 (77,20110025,'2011-06-15',10,NULL,18);
/*!40000 ALTER TABLE `factures` ENABLE KEYS */;


--
-- Definition of table `liniesfactures`
--

DROP TABLE IF EXISTS `liniesfactures`;
CREATE TABLE `liniesfactures` (
  `idLiniaFactura` int(11) NOT NULL AUTO_INCREMENT,
  `idFactura` int(11) NOT NULL,
  `idConcepte` int(11) NOT NULL,
  `descripcio` varchar(1024) NOT NULL,
  `quantitat` float NOT NULL,
  `preu` float NOT NULL,
  `importLinia` float NOT NULL,
  PRIMARY KEY (`idLiniaFactura`),
  KEY `PK_LINIAFACTURA` (`idFactura`,`idLiniaFactura`),
  KEY `FK_LINIAFACTURA_FACTURA` (`idFactura`),
  KEY `FK_LINIAFACTURA_CONCEPTE` (`idConcepte`),
  KEY `FK97A6411D25950D6C` (`idFactura`),
  KEY `FK97A6411DA90F6FE` (`idConcepte`),
  CONSTRAINT `FK97A6411D25950D6C` FOREIGN KEY (`idFactura`) REFERENCES `factures` (`idFactura`),
  CONSTRAINT `FK97A6411DA90F6FE` FOREIGN KEY (`idConcepte`) REFERENCES `conceptes` (`idConcepte`),
  CONSTRAINT `liniesfactures_ibfk_1` FOREIGN KEY (`idFactura`) REFERENCES `factures` (`idFactura`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `liniesfactures_ibfk_2` FOREIGN KEY (`idConcepte`) REFERENCES `conceptes` (`idConcepte`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=106 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `liniesfactures`
--

/*!40000 ALTER TABLE `liniesfactures` DISABLE KEYS */;
INSERT INTO `liniesfactures` (`idLiniaFactura`,`idFactura`,`idConcepte`,`descripcio`,`quantitat`,`preu`,`importLinia`) VALUES 
 (98,75,1,'Treure bonys de la porta davantera dreta i pintar-la',3.5,36,126),
 (99,75,2,'Pany de la porta davantera dreta',1,250,250),
 (100,75,3,'Reparar carburador',3.5,70,245),
 (101,76,1,'Pintar tot el vehicle amb pintura metalitzada',12,36,432),
 (102,76,2,'Pintura blava netalitzada',6,24,144),
 (103,77,3,'Reparar barbacoa',1,36,36),
 (104,77,1,'Pintar barbacoa amb pintura especial',1.5,36,54),
 (105,77,2,'Pintura especial per a barbacoes',1.5,30,45);
/*!40000 ALTER TABLE `liniesfactures` ENABLE KEYS */;


--
-- Definition of table `marques`
--

DROP TABLE IF EXISTS `marques`;
CREATE TABLE `marques` (
  `idMarca` int(11) NOT NULL AUTO_INCREMENT,
  `nomMarca` varchar(60) NOT NULL,
  `dataAlta` date NOT NULL,
  `dataBaixa` date DEFAULT NULL,
  PRIMARY KEY (`idMarca`)
) ENGINE=InnoDB AUTO_INCREMENT=37 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `marques`
--

/*!40000 ALTER TABLE `marques` DISABLE KEYS */;
INSERT INTO `marques` (`idMarca`,`nomMarca`,`dataAlta`,`dataBaixa`) VALUES 
 (1,'ALFA ROMEO','2011-03-22',NULL),
 (2,'AUDI','2011-03-22',NULL),
 (3,'BENTLEI','2011-03-22',NULL),
 (4,'BERTONE','2011-03-22',NULL),
 (5,'BMW','2011-03-22',NULL),
 (6,'CHEVROLET','2011-03-22',NULL),
 (7,'CHRYSLER','2011-03-22',NULL),
 (8,'CITROEN','2011-03-22',NULL),
 (9,'DAEWOO','2011-03-22',NULL),
 (10,'DAIHATSU','2011-03-22',NULL),
 (11,'FERRARI','2011-03-22',NULL),
 (12,'FIAT','2011-03-22',NULL),
 (13,'FORD','2011-03-22',NULL),
 (14,'GMC','2011-03-22',NULL),
 (15,'HONDA','2011-03-22',NULL),
 (16,'HUMMER','2011-03-22',NULL),
 (17,'HYUNDAI','2011-03-22',NULL),
 (18,'ISUZU','2011-03-22',NULL),
 (19,'JAGUAR','2011-03-22',NULL),
 (20,'JEEP','2011-03-22',NULL),
 (21,'KIA','2011-03-22',NULL),
 (22,'LADA','2011-03-22',NULL),
 (23,'LANCIA','2011-03-22',NULL),
 (24,'LAND ROVER','2011-03-22',NULL),
 (25,'MAZDA','2011-03-22',NULL),
 (26,'NISSAN','2011-03-22',NULL),
 (27,'OPEL','2011-03-22',NULL),
 (28,'PEUGEOT','2011-03-22',NULL),
 (29,'PORSCHE','2011-03-22',NULL),
 (30,'RENAULT','2011-03-22',NULL),
 (31,'ROVER','2011-03-22',NULL),
 (32,'SAAB','2011-03-22',NULL),
 (33,'SKODA','2011-03-22',NULL),
 (34,'SEAT','2011-03-22',NULL),
 (35,'TOYOTA','2011-03-22',NULL),
 (36,'VOLVO','2011-03-22',NULL);
/*!40000 ALTER TABLE `marques` ENABLE KEYS */;


--
-- Definition of table `paisos`
--

DROP TABLE IF EXISTS `paisos`;
CREATE TABLE `paisos` (
  `idPais` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `nomPais` varchar(128) NOT NULL,
  `dataAlta` date NOT NULL,
  `dataBaixa` date DEFAULT NULL,
  PRIMARY KEY (`idPais`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `paisos`
--

/*!40000 ALTER TABLE `paisos` DISABLE KEYS */;
INSERT INTO `paisos` (`idPais`,`nomPais`,`dataAlta`,`dataBaixa`) VALUES 
 (1,'ANDORRA','2011-03-22',NULL),
 (2,'ESPANYA','2011-03-22',NULL),
 (3,'FRANÇA','2011-03-22',NULL),
 (4,'PORTUGAL','2011-03-22',NULL),
 (5,'ALEMANYA','2011-03-22',NULL),
 (6,'SUISSA','2011-03-22',NULL),
 (7,'ITALIA','2011-03-22',NULL),
 (8,'MARROC','2011-03-22',NULL);
/*!40000 ALTER TABLE `paisos` ENABLE KEYS */;


--
-- Definition of table `tipusdocuments`
--

DROP TABLE IF EXISTS `tipusdocuments`;
CREATE TABLE `tipusdocuments` (
  `idTipusDocument` int(11) NOT NULL AUTO_INCREMENT,
  `descripcio` varchar(60) NOT NULL,
  `dataAlta` date NOT NULL,
  `dataBaixa` date DEFAULT NULL,
  PRIMARY KEY (`idTipusDocument`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tipusdocuments`
--

/*!40000 ALTER TABLE `tipusdocuments` DISABLE KEYS */;
INSERT INTO `tipusdocuments` (`idTipusDocument`,`descripcio`,`dataAlta`,`dataBaixa`) VALUES 
 (1,'NIF','2011-03-22',NULL),
 (2,'DNI','2011-03-22',NULL),
 (3,'PASSAPORT','2011-03-22',NULL);
/*!40000 ALTER TABLE `tipusdocuments` ENABLE KEYS */;


--
-- Definition of table `tipusmotors`
--

DROP TABLE IF EXISTS `tipusmotors`;
CREATE TABLE `tipusmotors` (
  `idTipusMotor` int(11) NOT NULL AUTO_INCREMENT,
  `descripcio` varchar(60) NOT NULL,
  `dataAlta` date NOT NULL,
  `dataBaixa` date DEFAULT NULL,
  PRIMARY KEY (`idTipusMotor`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tipusmotors`
--

/*!40000 ALTER TABLE `tipusmotors` DISABLE KEYS */;
INSERT INTO `tipusmotors` (`idTipusMotor`,`descripcio`,`dataAlta`,`dataBaixa`) VALUES 
 (1,'BENZINA','2011-03-22',NULL),
 (2,'DIESEL','2011-03-22',NULL),
 (3,'ELECTRIC','2011-03-22',NULL),
 (4,'PNEUMATIC','2011-03-22',NULL),
 (5,'HIBRID','2011-03-22',NULL);
/*!40000 ALTER TABLE `tipusmotors` ENABLE KEYS */;


--
-- Definition of table `tipusvehicles`
--

DROP TABLE IF EXISTS `tipusvehicles`;
CREATE TABLE `tipusvehicles` (
  `idTipusVehicle` int(11) NOT NULL AUTO_INCREMENT,
  `descripcio` varchar(60) NOT NULL,
  `dataAlta` date NOT NULL,
  `dataBaixa` date DEFAULT NULL,
  PRIMARY KEY (`idTipusVehicle`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tipusvehicles`
--

/*!40000 ALTER TABLE `tipusvehicles` DISABLE KEYS */;
INSERT INTO `tipusvehicles` (`idTipusVehicle`,`descripcio`,`dataAlta`,`dataBaixa`) VALUES 
 (1,'TURISME','2011-03-22',NULL),
 (2,'FURGONETA','2011-03-22',NULL),
 (3,'TOT TERRENY','2011-03-22',NULL);
/*!40000 ALTER TABLE `tipusvehicles` ENABLE KEYS */;


--
-- Definition of table `usuaris`
--

DROP TABLE IF EXISTS `usuaris`;
CREATE TABLE `usuaris` (
  `idUsuari` int(11) NOT NULL AUTO_INCREMENT,
  `nom` varchar(60) NOT NULL,
  `cognoms` varchar(60) NOT NULL,
  `dataAlta` date NOT NULL,
  `dataBaixa` date DEFAULT NULL,
  `codiUsuari` varchar(15) NOT NULL,
  `contrasenya` varchar(10) NOT NULL,
  `tipusUsuari` int(1) unsigned DEFAULT NULL,
  PRIMARY KEY (`idUsuari`),
  UNIQUE KEY `PK_USUARIS_CODIUSUARI` (`codiUsuari`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `usuaris`
--

/*!40000 ALTER TABLE `usuaris` DISABLE KEYS */;
INSERT INTO `usuaris` (`idUsuari`,`nom`,`cognoms`,`dataAlta`,`dataBaixa`,`codiUsuari`,`contrasenya`,`tipusUsuari`) VALUES 
 (1,'Usuari Administrador','Sistema i configuracio','2011-01-01',NULL,'admin','1234',0),
 (2,'Usuari administratiu','Usuari comptable','2011-01-01',NULL,'secre','1234',1),
 (3,'Usuari operador','Consultes','2011-01-01',NULL,'oper','1234',2),
 (4,'Usuari de proves','Cognoms','2011-05-27',NULL,'proves','1234',2);
/*!40000 ALTER TABLE `usuaris` ENABLE KEYS */;


--
-- Definition of table `vehicles`
--

DROP TABLE IF EXISTS `vehicles`;
CREATE TABLE `vehicles` (
  `idVehicle` int(11) NOT NULL AUTO_INCREMENT,
  `matricula` varchar(15) NOT NULL,
  `idPais` int(10) unsigned NOT NULL,
  `idMarca` int(11) NOT NULL,
  `model` varchar(60) NOT NULL,
  `kmAlta` int(11) NOT NULL,
  `idTipusMotor` int(11) NOT NULL,
  `idTipusVehicle` int(11) NOT NULL,
  `dataAlta` date NOT NULL,
  `dataBaixa` date DEFAULT NULL,
  PRIMARY KEY (`idVehicle`),
  UNIQUE KEY `PK_VEHICLE_MATRICULA` (`matricula`) USING BTREE,
  KEY `FK_VEHICLE_TIPUSVEHICLE` (`idTipusVehicle`),
  KEY `FK_VEHICLE_MARCA` (`idMarca`),
  KEY `FK_VEHICLE_TIPUSMOTOR` (`idTipusMotor`),
  KEY `FK_VEHICLE_PAIS` (`idPais`),
  KEY `FK780E56C750559C98` (`idTipusVehicle`),
  KEY `FK780E56C730B338BA` (`idPais`),
  KEY `FK780E56C7E55F91F4` (`idMarca`),
  KEY `FK780E56C7BEDEE923` (`idTipusMotor`),
  CONSTRAINT `FK780E56C730B338BA` FOREIGN KEY (`idPais`) REFERENCES `paisos` (`idPais`),
  CONSTRAINT `FK780E56C750559C98` FOREIGN KEY (`idTipusVehicle`) REFERENCES `tipusvehicles` (`idTipusVehicle`),
  CONSTRAINT `FK780E56C7BEDEE923` FOREIGN KEY (`idTipusMotor`) REFERENCES `tipusmotors` (`idTipusMotor`),
  CONSTRAINT `FK780E56C7E55F91F4` FOREIGN KEY (`idMarca`) REFERENCES `marques` (`idMarca`),
  CONSTRAINT `vehicles_ibfk_1` FOREIGN KEY (`idMarca`) REFERENCES `marques` (`idMarca`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `vehicles_ibfk_2` FOREIGN KEY (`idTipusMotor`) REFERENCES `tipusmotors` (`idTipusMotor`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `vehicles_ibfk_3` FOREIGN KEY (`idTipusVehicle`) REFERENCES `tipusvehicles` (`idTipusVehicle`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `vehicles_ibfk_4` FOREIGN KEY (`idPais`) REFERENCES `paisos` (`idPais`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=26 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `vehicles`
--

/*!40000 ALTER TABLE `vehicles` DISABLE KEYS */;
INSERT INTO `vehicles` (`idVehicle`,`matricula`,`idPais`,`idMarca`,`model`,`kmAlta`,`idTipusMotor`,`idTipusVehicle`,`dataAlta`,`dataBaixa`) VALUES 
 (23,'VG6777TH',3,5,'325 I',3000,1,1,'2011-06-15',NULL),
 (24,'B2587KU',2,7,'NEON',15000,1,1,'2011-06-15',NULL),
 (25,'J5898',1,4,'FREECLIMBER 2',105000,1,3,'2011-06-15',NULL);
/*!40000 ALTER TABLE `vehicles` ENABLE KEYS */;




/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
